list_automation_runs
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "eeeeeeee-eeee-eeee-eeee-eeeeeeeeeeee",
"status": "ran",
"actions_taken": [
{
"action": "add_note",
"body": "New apply in the inbox."
}
]
}
]
}Automations
list_automation_runs
List recent runs for one hiring automation. status filters skipped, failed, or ran. MCP tool: list_automation_runs.
GET
/
v1
/
employer
/
automations
/
{automation_id}
/
runs
list_automation_runs
curl --request GET \
--url https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://rest.hotfix.jobs/v1/employer/automations/{automation_id}/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "eeeeeeee-eeee-eeee-eeee-eeeeeeeeeeee",
"status": "ran",
"actions_taken": [
{
"action": "add_note",
"body": "New apply in the inbox."
}
]
}
]
}